summaryrefslogtreecommitdiff
path: root/net-fs
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2018-07-06 15:24:08 +0200
committerLars Wendler <polynomial-c@gentoo.org>2018-07-06 15:26:43 +0200
commit04f788bd4e6ea928b41e0efe9295d1131a6d0d46 (patch)
treea7948ce0988a2772391d130226dababb3b056983 /net-fs
parentnet-fs/libnfs: live ebuild improvements. (diff)
downloadgentoo-04f788bd4e6ea928b41e0efe9295d1131a6d0d46.tar.gz
gentoo-04f788bd4e6ea928b41e0efe9295d1131a6d0d46.tar.bz2
gentoo-04f788bd4e6ea928b41e0efe9295d1131a6d0d46.zip
net-fs/libnfs: Bump to version 3.0.0
Package-Manager: Portage-2.3.41, Repoman-2.3.9
Diffstat (limited to 'net-fs')
-rw-r--r--net-fs/libnfs/Manifest1
-rw-r--r--net-fs/libnfs/libnfs-3.0.0.ebuild55
2 files changed, 56 insertions, 0 deletions
diff --git a/net-fs/libnfs/Manifest b/net-fs/libnfs/Manifest
index 49a0d0abd1d..02ebe669c16 100644
--- a/net-fs/libnfs/Manifest
+++ b/net-fs/libnfs/Manifest
@@ -4,3 +4,4 @@ DIST libnfs-1.9.5.tar.gz 141162 BLAKE2B c19ca0bc2dc1b8edaf407f8a25909286b3995228
DIST libnfs-1.9.7.tar.gz 145925 BLAKE2B 0b1d7a2d67b5dc870e20642438eddcd667c6fa57fe6128d22c358232a0c5b9d70e3414e4ebb7d684318cf3f9cda93ca6b427bf6ea38b2cce470630653cf1215a SHA512 0dec9a6eee61bcab5a406b6f8bd50d15ffa257bc0fae7079e25a3e0ecb1177845514c232d699c67c59a3f1a269099a46225959d413301bf4550aa37504e2f492
DIST libnfs-1.9.8.tar.gz 148757 BLAKE2B fd4e6989ce8c2508de5776d71e522d4191f6ebf4f526aad16d69c9a17ef32ec37c68a817ddf7e709d01ba4a60e14ed43aaa45d27c310468cb73473fa0ecd974b SHA512 2a0e11dde5a2c4d25fcf1040d04ad984fe3b2e2ce5f544d602becb55aebdabbfe29a3b961d3db7d034c918862b540d3a03735bbbad0606ff3a128c50c2dad666
DIST libnfs-2.0.0.tar.gz 200932 BLAKE2B df5ae4487bd7e19428551f047a1d61df712ecc73b3db33995121abfba2df8f9283ef69f4a0d897266d7d476010bfcfa5fdea109b265f82fe4df8904cd6d05c6c SHA512 701dd5317b0395523be89123d473f4da5c3ff53c2e30004a922f649f0dbbd97546ee39ab34fce06278a8148c13200ca383726a0822d09846fad6e308f29e42c7
+DIST libnfs-3.0.0.tar.gz 249035 BLAKE2B 321bbc6eb2d926c41afae95a873cd9103446d2bda0015f159341a7bca2245d708abaa283f9a8f505a320a0b446166b36106cd9f54e885a02cb486168c87a2a7f SHA512 9af31f8824431e9d28267c468dafc7cfc4062b1a280ca141036bc28a2ba544c4470a67955b5e5fbcc6c175435812381013b4c5d3d3d1a175d5efc7b802ae9b3b
diff --git a/net-fs/libnfs/libnfs-3.0.0.ebuild b/net-fs/libnfs/libnfs-3.0.0.ebuild
new file mode 100644
index 00000000000..96606a99d49
--- /dev/null
+++ b/net-fs/libnfs/libnfs-3.0.0.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools
+if [[ ${PV} == "9999" ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/sahlberg/${PN}.git"
+else
+ SRC_URI="https://github.com/sahlberg/${PN}/archive/${P}.tar.gz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~x86"
+ S="${WORKDIR}/${PN}-${P}"
+fi
+
+DESCRIPTION="Client library for accessing NFS shares over a network"
+HOMEPAGE="https://github.com/sahlberg/libnfs"
+
+LICENSE="LGPL-2.1 GPL-3"
+SLOT="0/12" # sub-slot matches SONAME major
+IUSE="examples static-libs utils"
+
+RDEPEND=""
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-3.0.0-utils.patch"
+)
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ local myeconfargs=(
+ $(use_enable static-libs static)
+ $(use_enable utils)
+ )
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ default
+ if use examples; then
+ # --enable-examples configure switch just compiles them
+ # better install sources instead
+ exeinto /usr/share/doc/${PF}/examples/
+ for program in $(grep PROGRAMS examples/Makefile.am | cut -d= -f2); do
+ doexe examples/${program}.c
+ done
+ fi
+ find "${ED}" -name "*.la" -delete || die
+}